Foreman - Bug #2296

Hostgroup fields not populating when parent fields are selected
Description

If | select a domain when creating a Hostgroup the subnet field does not become available for selection. But if | save, or attempt to
save without entering a name, the field becomes selectable.

The same thing happens on the Operating System tab. If | select an Arch the Operating Systems Field does not become selectable
unless | save or attempt to save without a name. Likewise when | pick the Operating System the Media and Partition Table fields do
not become populated or selectable unless | save or attempt to save.

This is happening on a clean install of 1.1 stable3 with one Location and over a dozen Organizations, though | have a test server that
has been upgraded a number of times with one Location and 2 Organizations that does not exhibit this behavior.

Associated revisions

Revision 04157eed - 06/06/2013 04:46 PM - Amos Benari

fixes #2296 Hostgroup subnet field was not enabled after selecting domain
Revision 5f4ab7b8 - 06/07/2013 04:59 AM - Amos Benari
fixes #2296 Hostgroup subnet field was not enabled after selecting domain

(cherry picked from commit 04157eeddffa70104c82d7b6529c3abaad3daefb)

History

#1 - 03/09/2013 05:31 PM - Anonymous
- File hostgroup-fix.patch added

The patch | just attached is more or less the same as for issue 2222, save one hunk that fails to apply against 1.1 stables
app/helpers/layout_helper.rb.

One applied the subnet and os issues are resolved.

#2 - 05/27/2013 12:59 PM - Anonymous
This is still present in 1.2-RC1

#3 - 06/04/2013 04:47 AM - Ohad Levy
- Category set to Web Interface
- Assignee set to Amos Benari

- Target version set to 1.2.0

similar fix to 66afbc33721b which handle hosts should be applied to hostgroups.

#4 - 06/04/2013 09:48 AM - Ohad Levy

side effect is an unusable error message:
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/66afbc33721b39f768d4fba7f6d134bfe8188467

Started POST "/foreman/hostgroups" for 127.0.0.1 at 2013-06-04 09:43:28 -0400
Processing by HostgroupsControllerf#create as HTML

Parameters: {"utf8"=>"0", "authenticity_token"=>"2aMzo6DbPV6vgYHtNcPVPpb04gzGDAHgb/k5vAfWAS5s=", "hostgroup"=
>{"parent_id"=>"", "name"=>"gegroup2", "environment_id"=>"7", "puppet_ca_proxy_id"=>"1", "puppet_proxy_id"=>"1
", "puppetclass_ids"=>[""], "domain_id"=>"3", "subnet_id"=>"1", "architecture_id"=>"1", "operatingsystem_id"=>
"1", "medium_id"=>"6", "ptable_id"=>"1", "root_pass"=>"[FILTERED]", "group_parameters_attributes"=>{"137035340
8723"=>{"name"=>"kt_activation_keys", "value"=>"[FILTERED]", "_destroy"=>"kt_activation_keys", "nested"=>""},
"1370353408733"=>{"name"=>"kt_org", "value"=>"[FILTERED]", "_destroy"=>"kt_org", "nested"=>""}, "1370353408739
"=>{"name"=>"kt_env", "value"=>"[FILTERED]", "_destroy"=>"kt_env", "nested"=>""}, "1370353408745"=>{"name"=>"k
t_cv", "value"=>"[FILTERED]", "_destroy"=>"kt_cv", "nested"=>""}}, "organization_ids"=>["", "", "2"]}, "kt_act
ivation_keys"=>"ActivationKeyl", "commit"=>"Submit"}
Failed to save:

Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)

notice the Failed to save without a useful error message.

#5 - 06/05/2013 04:16 AM - Amos Benari
- Status changed from New to Ready For Testing

#6 - 06/05/2013 04:16 AM - Dominic Cleal

https://github.com/theforeman/foreman/pull/688

#7 - 06/06/2013 05:17 PM - Amos Benari
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 04157eeddffa70104c82d7b6529c3a5aad3daefb.
hostgroup-fix.patch 18.7 KB 03/09/2013 Anonymous
